﻿@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&family=Noto+Sans+TC:wght@100..900&display=swap');

body {
    margin: 0px !important;
    background-color: white;
}

/* scroll */
*::-webkit-scrollbar {
    display: block !important;
    width: 5px;
    background: #f6f6f6;
}

*::-webkit-scrollbar-track {
    background: #f6f6f6;
}

*::-webkit-scrollbar-thumb {
    background: gray;
    border-radius: 5px;
}

/* .nav */
.nav {
    background: white !important;
}

/* .article */
.article {
    width: calc(100% - 20px);
    min-height: 100vh;
    background: white;
    max-width: 1000px;
    margin: 0px auto;
    padding: 50px 10px 0px;
}

/* header */
.article .header {
    letter-spacing: .5px;
    line-height: 30px;
    position: sticky;
    top: 12px;
    padding: 10px 0px 0px;
    background: white;
    z-index: 10;
}

.article .header p {
    margin: 0px;
    animation: fadeInDown 1000ms;
    background: linear-gradient(145deg, #0575E6, #021B79);
    width: fit-content;
    color: white;
    border-radius: 5px;
    padding: 0px 10px 0px 12px;
    font-size: 14px;
    line-height: 26px;
}

.article .header h1 {    
    font-size: 20px;
    margin: 10px 0px 15px;
    animation: fadeInDown 1500ms;
    padding: 0px 20px 10px;
    width: calc(100% - 20px);
    margin-left: -10px;
    background: white;
    border-radius: 15px;
    box-shadow: 0 .1em .1em lightgray;
}

/* .actions */
.actions {
    display: flex;
    justify-content: flex-end;
}

.actions:last-child {
    background: transparent;
    border-radius: 10px;
    justify-content: space-between;
    align-items: center;
    margin-top: 30px;
}

.actions:last-child a {
    color: white;
    text-decoration: none;
    letter-spacing: 1px;
    background: black;
    padding: 0px 10px 0px 12px;
    border-radius: 10px;
    line-height: 42px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.actions:last-child a i {
    padding-right: 5px;
    font-size: 14px;
}

.actions:last-child a:hover {
    color: #ffd700;
}

.actions:last-child .sss {
    display: flex;
    background: black;
    padding: 5px 5px 5px 0px;
    border-radius: 10px;
    margin-left: 5px;
}

.actions .fa-share,
.actions .fa-line {
    height: 32px;
    width: 32px;
    border: 0px;
    background: linear-gradient(145deg, #0575E6, #021B79);
    color: white;
    border-radius: 5px;
    font-size: 12px;
    letter-spacing: 0px;
    padding: 0px !important;
    cursor: pointer;
    margin-left: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all .2s;
    overflow: hidden;
}

.actions:last-child .fa-share {
    background: white;
    color: black;
}

.actions .fa-line {
    color: #00B34F;
    font-size: 38px;
    background: white;
}

/* .image */
.article .image {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 15px 0px;
}

.article .image img {
    width: 100%;
    max-width: 500px;
    border-radius: 5px;
    box-shadow: 0 0 0.5em lightgray;
}

/* html editor */
.event_content {
    letter-spacing: .5px;
    padding: 0px 5px;
}

.event_content p,
.event_content h1,
.event_content h2,
.event_content h3,
.event_content h4,
.event_content blockquote {
    margin: 10px 0px 10px 0px;
}

.event_content blockquote p,
.event_content blockquote h1,
.event_content blockquote h2,
.event_content blockquote h3,
.event_content blockquote h4 {
    margin: 0px 0px 0px 0px
}

.event_content ol,
.event_content ul {
    margin: 0px 0px;
    padding-left: 25px;
}

.event_content li {
    margin: 10px 0px;
}

.event_content ul {
    margin: 10px 0px;
}

.event_content ul ol li {
    margin: 0px 0px 5px
}

.event_content ul ol li:last-child {
    margin-bottom: 0px;
}

.event_content figure {
    margin: 0px auto !important;
}

.event_content img {
    width: 100%;
    max-width: 500px;
    border-radius: 5px;
    box-shadow: 0 0 0.5em lightgray;
}

.ck-widget__selection-handle,
.ck-widget__type-around {
    display: none;
}

/* special_event_v1 */
.event {
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 2px dashed black;
}

.event .event_title {
    width: fit-content;
    background: #800000;
    color: white;
    border-radius: 5px;
    letter-spacing: .5px;
    padding: 0px 10px 0px 12px;
    font-size: 16px;
    line-height: 30px;
}

.event img {
    border-radius: 5px;
    margin: 10px 0px;
    width: 100%;
    max-width: 100%;
}

.event ul {
    padding-left: 0px;
    line-height: 32px;
    list-style: none;
}

.event ul li {
    margin-bottom: 10px;
    font-size: 14px;
}

.event ul li.box_title {
    border-radius: 10px;
    width: fit-content;
    padding: 0px 15px 0px 16px;
    line-height: 30px;
    letter-spacing: 1px;
    margin: 20px 0px 10px;
    border: 2px dashed #021B79;
    background: transparent;
    color: #021B79;
}

.event ul li.box_title.black,
.event ul li.box_title.orange {
    border: 0px;
    color: white;
}

.event ul li.box_title.black {
    background: linear-gradient(145deg, #004e92, #000428);
}

.event ul li.box_title.orange {
    background: linear-gradient(145deg, #f5af19, #f12711);
    text-shadow: 0 0 0.2em #f12711;
    font-size: 16px;
    line-height: 34px;
}

.event ul li.s_text {
    font-size: 14px;
    margin: 0px 0px -5px;
    color: gray;
    line-height: 22px;
}

.event ul li.warning {
    max-height: 50vh;
    overflow-y: scroll;
    background: linear-gradient(135deg, #f6f6f6, white, #f6f6f6);
    padding: 15px 20px;
    border-radius: 20px;
    color: black;
    box-shadow: 0 0 0.3em lightgray;
    font-size: 14px;
    line-height: 32px;
    margin: 20px 0px;
}

.event ul li.warning ol {
    padding-left: 22px !important;
    line-height: 28px !important;
}

.event ul li.warning ol li {
    margin-bottom: 5px !important;
    font-size: 14px !important;
}

.event ul li.warning ol li:last-child {
    margin-bottom: 0px !important;
}

/* li + span 小字 */
.event ul li span {
    padding: 0px 5px;
    font-size: 12px;
    letter-spacing: 0px;
}

.event ul li hightlight,
.event ul li h {
    padding: 0px 5px;
    background-color: #FFD700;
    border-radius: 3px;
}

.event a:not(.text) {
    display: block;
    background: linear-gradient(145deg, #0575E6, #021B79);
    color: white;
    letter-spacing: .5px;
    text-align: center;
    padding-left: 2px;
    line-height: 50px;
    border-radius: 20px;
    cursor: pointer !important;
    text-decoration: none;
    margin-bottom: 25px;
    box-shadow: 0 0 0.3em gray;
    opacity: 0.95;
    transition: all 1s;
}

.event a:not(.text):hover {
    opacity: 1;
}

.event a.text {
    color: #0575E6;
    padding: 0px 3px;
}

.event a.text:hover {
    color: #021B79;
}

.event a.disabled {
    pointer-events: none;
    cursor: default;
    background: lightgray;
    color: gray;
}

/* 20230203 */
.event ul li.img {
    display: flex;
    justify-content: center;
    align-items: center;
}

.event ul li.img img {
    max-width: 500px;
}

.event ul li.box_title.kimi {
    background: linear-gradient(145deg, #FFFFFF, rgb(230, 126, 35) 20% 80%, #FFFFFF);
    color: white;
    text-shadow: 0 0 0.3em black;
}